// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "fragmentVersionCentroid.h"

#if __VERSION__ >= 300

#if defined(TEXEL_AA) && defined(TEXEL_AA_FEATURE)
_centroid in highp vec2 uv;
#else
_centroid in vec2 uv;
#endif

#else

varying vec2 uv;

#endif

#include "uniformShaderConstants.h"
#include "uniformPerFrameConstants.h"
#include "util.h"
#include "allinone_incl.h"

LAYOUT_BINDING(0) uniform sampler2D TEXTURE_0;

varying highp vec3 pos;

void main()
{
#if !defined(TEXEL_AA) || !defined(TEXEL_AA_FEATURE)
	vec4 diffuse = texture2D( TEXTURE_0, uv );
#else
	vec4 diffuse = texture2D_AA(TEXTURE_0, uv );
#endif
diffuse.rgb *= 0.0;
highp float sorepagid = clamp(FOG_COLOR.r-FOG_COLOR.g,0.,.5)*2.;
float sun = saturate(sqrt(dot(pos.xz,pos.xz*13.)));
diffuse.rgb += saturate(vec3(40.0)*(0.05-sun)*0.45);
float shine = saturate(exp(1.-pow(length(pos.xz*12.),1.4))*.17);
diffuse.rgb += shine*mix(vec3(0.6),vec3(0.7,0.58,0.4), sorepagid);
#ifdef ALPHA_TEST
	if(diffuse.a < 0.5)
		discard;
#endif

	gl_FragColor = CURRENT_COLOR * diffuse;
}
